package cn.estsh.i3plus.pojo.mes.model;

import io.swagger.annotations.ApiParam;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @Description:
 * @Author: jokelin
 * @Date: 2020/3/17 3:47 下午
 * @Modify:
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class ButtonDynamicModel {

    private Long id;

    @ApiParam("按钮名称")
    private String buttonName;

    @ApiParam("按钮代码")
    private String buttonCode;

    @ApiParam("调用类")
    private String callClass;

    public ButtonDynamicModel(Long id, String buttonName, String buttonCode) {
        this.id = id;
        this.buttonName = buttonName;
        this.buttonCode = buttonCode;
    }
}
